# rust-blake2.spec
# Generated by rust2rpm 21
%bcond_without check
%global debug_package %{nil}

%global crate blake2

Name:           rust-%{crate}-0.9
Version:        0.9.2
Release:        1%{?dist}.2
Summary:        BLAKE2 hash functions

# Upstream license specification: MIT OR Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/blake2
Source:         https://crates.io/api/v1/crates/%crate/%version/download#/%crate-%version.crate

ExclusiveArch:  %{rust_arches}

BuildRequires:  cargo-rpm-macros
BuildRequires:  (crate(crypto-mac/default) >= 0.8.0 with crate(crypto-mac/default) < 0.9.0~)
BuildRequires:  (crate(crypto-mac/std) >= 0.8.0 with crate(crypto-mac/std) < 0.9.0~)
BuildRequires:  (crate(digest/default) >= 0.9.0 with crate(digest/default) < 0.10.0~)
BuildRequires:  (crate(digest/std) >= 0.9.0 with crate(digest/std) < 0.10.0~)
BuildRequires:  (crate(opaque-debug/default) >= 0.3.0 with crate(opaque-debug/default) < 0.4.0~)
%if %{with check}
BuildRequires:  (crate(crypto-mac/default) >= 0.8.0 with crate(crypto-mac/default) < 0.9.0~)
BuildRequires:  (crate(crypto-mac/dev) >= 0.8.0 with crate(crypto-mac/dev) < 0.9.0~)
BuildRequires:  (crate(digest/default) >= 0.9.0 with crate(digest/default) < 0.10.0~)
BuildRequires:  (crate(digest/dev) >= 0.9.0 with crate(digest/dev) < 0.10.0~)
BuildRequires:  (crate(hex-literal/default) >= 0.2.0 with crate(hex-literal/default) < 0.3.0~)
%endif

%global _description %{expand:
BLAKE2 hash functions.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+simd-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+simd-devel %{_description}

This package contains library source intended for building other packages which
use the "simd" feature of the "%{crate}" crate.

%files       -n %{name}+simd-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+simd_asm-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+simd_asm-devel %{_description}

This package contains library source intended for building other packages which
use the "simd_asm" feature of the "%{crate}" crate.

%files       -n %{name}+simd_asm-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+simd_opt-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+simd_opt-devel %{_description}

This package contains library source intended for building other packages which
use the "simd_opt" feature of the "%{crate}" crate.

%files       -n %{name}+simd_opt-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri May 13 2022 Oleg Girko <ol@infoserver.lv> - 0.9.2-1
- Initial package
